
## Creating or Importing a Project

CSIDE can create a new, blank project or import a previous project from your existing scene files. In this context, 'import' means CSIDE is opening your individual .txt files for modification, just like any other text editor. We use the word 'import' because it makes the most sense in terms of running or testing projects.


### Creating a New Project

To create a new project, click the button with a '+' icon alongside the 'Scenes & Projects' header near the top left of the window. You will be prompted to enter a name for the new project. You are free to name it whatever you like, but it's probably a good idea to use something similar to your game's title. This name will also be used for the folder on your hard drive where the project's scene files are stored.

If the name is valid, CSIDE will create a new folder for you. A confirmation message pops up, displaying the full directory path of your project. The default path looks something like this:

> Windows - C:\Users\Username\Documents\ChoiceScript Projects\My Project Name

> Mac - /Users/Username/ChoiceScript Projects/My Project Name

The default folder location (.../ChoiceScript Projects/) can be changed in the Settings tab.

A new project always contains the two compulsory files required for every ChoiceScript game: 'startup' and 'choicescript_stats'. Additional scene files can be added to your new project as needed.


### Importing an Existing Project

If you already have a ChoiceScript game in development, it's easy to import it and continue working on your project within CSIDE.

For the most part, projects are handled automatically. All you have to do is click the button with a folder icon alongside the Scenes & Projects header. Select the .txt (scene) game files you wish to open, and CSIDE will open the files and assign them to a new CSIDE project for you.

Note that the import procedure does not in any way copy or move your existing game files from their current folder and directory. Instead, future edits to that project within CSIDE will directly overwrite those exact same scene files—just as if you had opened them with an ordinary text editor.

If you do not want CSIDE to edit your original files, you can use the Export function to save a copy of your project to a different folder. The export and close options are available by right-clicking the project header bar, or by selecting any file from that project and clicking the folder button (Project menu) at the very top-left of the screen (see the native app bar on Mac). Then simply close the original project and import (open) your copy from the new save location instead.

You can also create a new project and copy the scenes from your original location by dragging and dropping your selected scenes from the old project to the new, and selecting 'copy' when prompted.


**Next Topic**: [Adding Scenes](getting-started/adding-scenes.md "Adding Scenes")
