## Setting Up


CSIDE is designed to aid and accommodate a variety of users, from the least to the most experienced. The configurable settings let you tailor the application to suit your own needs and writing style.

The <a href="#" rel="cside" title="settings" onclick="CSIDE(parent.cside.selectTab.bind(null, 'settings'));">Settings Tab</a> can be accessed at any time by selecting the tab with the cog/gear icon. Any changes made to the Settings will take effect immediately, and will persist between sessions (if the appropriate 'persistent session' setting is on).

By default, your settings will persist between sessions and even future application updates, as long as you're using the same computer and copy of the application. We suggest taking a look through the settings to get a feel for how the application can best accommodate your personal preferences. It's like anything else: what works for us won't necessarily work for you.

If you find you're unsure of where to start, try taking the default settings for a spin. You can always tweak them over time until you're completely happy with CSIDE's appearance and functionality.

If you're a relative newcomer to either ChoiceScript or CSIDE, or if you're just in need of a refresh, you can use the Interactive CSIDE Tutorial included under the <a href="#" rel="cside" title="Example Projects" onclick="CSIDE(parent.cside.selectTab.bind(null, 'examples'));">Example Projects Tab</a> (Desktop only). The Tutorial, which is written in ChoiceScript, will guide you through the process of setting up your own project in CSIDE. The Tutorial also explains, in step-by-step detail, everything you need to learn about the basics of ChoiceScript in order to create your own ChoiceScript game.

If you wish to use the Interactive CSIDE Tutorial, you'll need to import it using the button labeled 'Import Project'. After  prompting you for a new project name, CSIDE will automatically create a new project in CSIDE containing the Tutorial's scene files. Once installed, click 'Run this project' on the project's header bar to launch the Tutorial.

You can also check out the [Further Reading](topics/further-reading.md "Further Reading") section for links to other useful guides, tutorials, and more.


**Next Topic**: [Creating or Importing a Project](getting-started/creating-projects.md "Creating Projects")