## Further Reading

The CSIDE Help Documentation provides an overview of CSIDE, with some of the basics on ChoiceScript as well. If you find you have more questions than we've answered here, we hope you'll be able to find some answers from the resources linked below.

### Official Resources

**[ChoiceScript Introduction](https://www.choiceofgames.com/make-your-own-games/choicescript-intro/ "Choice of Games - Choicescript Introduction")**

The official introduction, documentation, and tutorial for ChoiceScript.

**[Choice of Games Blog](https://www.choiceofgames.com/blog/ "Choice of Games - Blog")**

Contains lots of useful articles on game structure and design.

**[ChoiceScript Repository](https://www.github.com/dfabulich/choicescript "Github - Choicescript")**

The Github Repository for the ChoiceScript code. You can download the latest standalone version of ChoiceScript on this page by clicking 'Clone or Download-Download Zip'.

**[Writing for Choice of Games: Games](https://docs.google.com/document/d/17MxymBbcIal4vh_k2w7A1vbd-H6dAorQ9O-Q5zLjCsc/edit "Writing for Choice of Games: Games")**

An official document from Choice of Games detailing their recommended outline structure for game pitches to the Choice of Games house label.

**[Choice of Games Style Guide](https://docs.google.com/document/d/1Uo3kXWi_v8PG6dZeeUFKAUq50-tBDqYVmKMz5fM2fmo/edit "Choice of Games Style Guide")**

An official document from Choice of Games with guidance on the expected writing style, for published games.

### Community Resources

**[ChoiceScript Wikia](http://choicescriptdev.wikia.com/wiki/ChoiceScript_Wiki "ChoiceScriptDev Wikia")**

A good collection of topics concerning ChoiceScript development, written entirely by other ChoiceScript users. The Wikia includes extended descriptions of each command, coding samples, testing procedures, and more. As it's volunteer-run, do be aware that some pages can become out of date. The vast majority of the information is, however, invaluable.

**[Lglasser's Interactive ChoiceScript Tutorial](http://www.maderealstories.com/games/ChoiceScriptTutorial.html "Lglasser's Choicescript Tutorial")**

A very comprehensive and easy-to-use web application that provides information and samples on all kinds of things ChoiceScript-related.

**[Choice of Box](http://choiceofbox.com "Choice of Box")**

A community resource site and home of the annual CSComp; the site provides links to various articles, threads, and resources any aspiring ChoiceScript developer might find useful. 

**[RETowers' Basic ChoiceScript Guide](https://retowers.neocities.org/CSGuide/CSGuide.html "RETowers' ChoiceScript Guide")**

A basic ChoiceScript guide actually written in ChoiceScript. This is a great starting point for newcomers to either the scripting language or the world of interactive fiction in general.

### CSIDE Resources

**[CSIDE Website](https://choicescriptide.github.io "Website for the ChoiceScript IDE")**

CSIDE's website contains articles, announcements, links and other useful CSIDE information. 

**[CSIDE on Github](https://github.com/ChoicescriptIDE "Github organisation for CSIDE")**

CSIDE's Github organisation and code repositories, for those with a technical interest.

### Farewell & Good Luck

With that, we hope you feel you're off to a sound start in the world of ChoiceScript and of CSIDE! If you feel we've missed anything vital out of the documentation, or if you have a suggestion for the 'Further Reading' list, then please don't hesitate to contact us at cside@mazdrak.com. We'd love to hear from you!

All the best,

 \- The CSIDE Team
