## Publishing & Exporting

You've been working hard on your game, and you're ready to put up a public version for beta testing. Maybe you've even finished the beta testing stage, and you're at that exciting point when you submit the finished game for publication.

Choice of Games/Hosted Games LLC handles the actual publishing and selling of ChoiceScript games, and you can learn more about that [here](https://www.choiceofgames.com/looking-for-writers/ "Choice of Games - Looking for Writers"). If you're looking for a way to get your project running outside of CSIDE for public beta testing purposes, read on!


### Exporting as Compiled Game

A compiled game is a single .html file; clicking it runs your game in a web browser tab. To compile a game, right-click the project header bar and select 'Export: Compiled Game'. You'll be prompted to select a save location for the compiled file in either a new or existing folder.

Compiled games can be hosted online on a private web server, like any other website, or via Dashingdon for beta testing purposes (see below for details).

> Note: If you wish to include images within your compiled game, please see the topic on [Image Scenes](topics/image-scenes.md " Image Scenes").


### Exporting as Scene Files

You can export your game as individual scene files, either as a backup, as a play-test version for your beta testers, or as a completed game for submission to Choice of Games LLC when looking to publish.

To export your scenes, right-click the project header bar and select 'Export: All Scenes To Folder'. You will be prompted to select a save location for your scenes in an existing or newly-created folder. Scene files can be uploaded to Dashingdon's free ChoiceScript game hosting service to create a public beta test of your game online (see below for details).


### Public Beta Testing - Dashingdon.com

When you're ready to share your game during the beta testing process, Dashingdon offers free hosting for your game, either as a compiled .html file or as a collection of .txt scenes. Dashingdon.com also supports images, a save plug-in, automatic Twitter announcements when your public beta is updated, and more.

Please see the [Dashingdon:Free ChoiceScript Game Hosting website](https://dashingdon.com/ "Dashingdon - ChoiceScript Hosting") or the service's [forum thread](https://forum.choiceofgames.com/t/dashingdon-free-choicescript-game-hosting/9250 "Dashingdon Thread on the Choice of Games Forum") for more information, or to make a free account.


**Next Topic**: [Further Reading](topics/further-reading.md "Further reading")
