## Stepping

CSIDE's Stepping function allows you to procedurally step through your game's code one line at a time, helping you closely monitor and analyse each line of your code. Together with the [Console](topics/console.md "Console") log, which displays variable changes as they occur, Stepping provides an effective, efficient way to find and correct any logic errors in your code.

To activate the Stepping function, select the 'Start Stepping' button at the top of the Game Tab Panel, beside the standard 'Show Stats' and 'Restart' buttons. When Stepping is activated, the button will change to 'Stop Stepping'.

Stepping also reveals an adjacent 'Step' button. The 'Step' button is used to proceed through the code one line at a time. 'Start Stepping' and 'Stop Stepping' can be toggled on and off at any time during a play-test.

When Stepping is active, the Code Editor window switches scenes as needed to display the line of code being executed on each click of the 'Step' button. The active line of code is indicated by an arrow next to the line number on the left side of the display. The Code Editor automatically attempts to load any closed scene files needed to display the active line of code.

Stepping slows down the processing of your game code to let you to check for errors. Note that the play-test game is still running in the Game Tab Panel. To proceed at a \*choice or an \*input_text box, you'll need to interact with the game in the normal fashion. Choose an #option in the Game Tab panel, click 'Next', input text, or etc., to proceed.

**Next Topic**: [Quicktest & Randomtest](topics/quicktest-and-randomtest.md "Quicktest & Randomtest")

**Related Topics**:
- [Issues](topics/issues.md "Issues")

- [Console](topics/console.md "Console")

- [Testing & Debugging](topics/testing-and-debugging.md "Testing & Debugging")